## apache-modules 1.1.4

=== xssi-1.1b3/regex/Makefile ===
# You probably want to take -DREDEBUG out of CFLAGS, and put something like
# -O in, *after* testing (-DREDEBUG strengthens testing by enabling a lot of
# internal assertion checking and some debugging facilities).
# Put -Dconst= in for a pre-ANSI compiler.
# Do not take -DPOSIX_MISTAKE out.
# REGCFLAGS isn't important to you (it's for my use in some special contexts).
#CFLAGS=-I. -DPOSIX_MISTAKE -DREDEBUG $(REGCFLAGS)
CFLAGS=-I. -DPOSIX_MISTAKE -O $(REGCFLAGS)

# If you have a pre-ANSI compiler, put -o into MKHFLAGS.  If you want
# the Berkeley __P macro, put -b in.
MKHFLAGS=

# Flags for linking but not compiling, if any.
LDFLAGS=

# Extra libraries for linking, if any.
LIBS=

# set to true to if you don't need ranlib
RANLIB=ranlib

# Internal stuff, should not need changing.
OBJPRODN=regcomp.o regexec.o regerror.o regfree.o
OBJS=$(OBJPRODN) split.o debug.o main.o
H=cclass.h cname.h regex2.h utils.h
REGSRC=regcomp.c regerror.c regexec.c regfree.c
ALLSRC=$(REGSRC) engine.c debug.c main.c split.c

# Stuff that matters only if you're trying to lint the package.
LINTFLAGS=-I. -Dstatic= -Dconst= -DREDEBUG
LINTC=regcomp.c regexec.c regerror.c regfree.c debug.c main.c
JUNKLINT=possible pointer alignment|null effect

# arrangements to build forward-reference header files
.SUFFIXES:	.ih .h
.c.ih:
	sh ./mkh $(MKHFLAGS) -p $< >$@

default:	r

lib:	purge $(OBJPRODN)
	rm -f libregex.a
	ar crv libregex.a $(OBJPRODN)
	$(RANLIB) libregex.a

purge:
	rm -f *.o

# stuff to build regex.h
REGEXH=regex.h
REGEXHSRC=regex2.h $(REGSRC)
$(REGEXH):	$(REGEXHSRC) mkh
	sh ./mkh $(MKHFLAGS) -i _REGEX_H_ $(REGEXHSRC) >regex.tmp
	cmp -s regex.tmp regex.h 2>/dev/null || cp regex.tmp regex.h
	rm -f regex.tmp

# dependencies
$(OBJPRODN) debug.o:	utils.h regex.h regex2.h
regcomp.o:	cclass.h cname.h regcomp.ih
regexec.o:	engine.c engine.ih
regerror.o:	regerror.ih
debug.o:	debug.ih
main.o:	main.ih

# tester
re:	$(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS) $(LIBS) -o $@

# regression test
r:	re tests
	./re <tests
	./re -el <tests
	./re -er <tests

# 57 variants, and other stuff, for development use -- not useful to you
ra:	./re tests
	-./re <tests
	-./re -el <tests
	-./re -er <tests

rx:	./re tests
	./re -x <tests
	./re -x -el <tests
	./re -x -er <tests

t:	./re tests
	-time ./re <tests
	-time ./re -cs <tests
	-time ./re -el <tests
	-time ./re -cs -el <tests

l:	$(LINTC)
	lint $(LINTFLAGS) -h $(LINTC) 2>&1 | egrep -v '$(JUNKLINT)' | tee lint

fullprint:
	ti README WHATSNEW notes todo | list
	ti *.h | list
	list *.c
	list regex.3 regex.7

print:
	ti README WHATSNEW notes todo | list
	ti *.h | list
	list reg*.c engine.c


mf.tmp:	Makefile
	sed '/^REGEXH=/s/=.*/=regex.h/' Makefile | sed '/#DEL$$/d' >$@

DTRH=cclass.h cname.h regex2.h utils.h
PRE=COPYRIGHT README WHATSNEW
POST=mkh regex.3 regex.7 tests $(DTRH) $(ALLSRC) fake/*.[ch]
FILES=$(PRE) Makefile $(POST)
DTR=$(PRE) Makefile=mf.tmp $(POST)
dtr:	$(FILES) mf.tmp
	makedtr $(DTR) >$@
	rm mf.tmp

cio:	$(FILES)
	cio $(FILES)

rdf:	$(FILES)
	rcsdiff -c $(FILES) 2>&1 | p

# various forms of cleanup
tidy:
	rm -f junk* core core.* *.core dtr *.tmp lint

clean:	tidy
	rm -f *.o *.s *.ih re libregex.a

# don't do this one unless you know what you're doing
spotless:	clean
	rm -f mkh regex.h

=== debian/changelog ===
apache-modules (1.1.4) unstable; urgency=low

  * Added FastCGI module.
  * Removed post-debmake decompression of shtml example so checksums work
    correctly.

 -- Johnie Ingram <johnie@debian.org>  Tue, 11 Mar 1997 21:14:14 -0500

apache-modules (1.1.3) unstable; urgency=low

  * Added code to reconfigure Apache if this package is removed.
  * Removed empty /usr/lib/apache/descr directory
  * Put explicit REPLY variable in postinst read statement (Bug #7270).
  * Added file checksums (debmake 3.2.2).

 -- Johnie Ingram <johnie@debian.org>  Sat, 8 Mar 1997 21:40:44 -0500

apache-modules (1.1.2) unstable; urgency=low

  * Added module data so apache 1.1.3-3 and above can automatically detect
    and ask about installing the modules (Bug #7169).

 -- Johnie Ingram <johnie@debian.org>  Sun, 9 Feb 1997 01:38:24 -0500

apache-modules (1.1.1) unstable; urgency=low

  * Initial Release.

 -- Johnie Ingram <johnie@debian.org>  Sun, 19 Jan 1997 03:58:46 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "johnie@debian.org"
End:

=== debian/control ===
Source: apache-modules
Section: web
Priority: optional
Maintainer: Johnie Ingram <johnie@debian.org>
Standards-Version: 2.1.2.2

Package: apache-modules
Architecture: any
Depends: apache (>= 1.1.1-5), libc5 (>= 5.4.0-0)
Description: Additional modules for Apache 1.1
 Miscellaneous modules which are not part of the official Apache
 distribution.  Includes mod_block, mod_counter, mod_sp (server
 push), mod_speling, mod_trailer, mod_uri_remap, mod_simultaneous,
 and mod_xinclude (xssi 1.1b3).
 .
 Note: mod_rewrite is included in apache 1.1.3-1 and later; mod_php
 comes in the php package.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter
# <clameter@debian.org>.

package=apache-modules

build:
	$(checkdir)
	$(MAKE) -f /usr/include/apache/Makefile.modules
	cd mod_conv-0.2/src; \
		$(MAKE) -f /usr/include/apache/Makefile.modules mod_conv.so
	cd xssi-1.1b3; \
		$(MAKE) -f /usr/include/apache/Makefile.modules mod_xinclude.so
	cd apache-fastcgi/src; \
		$(MAKE) -f /usr/include/apache/Makefile.modules mod_fastcgi.so
	touch build


clean:
	$(checkdir)
	$(MAKE) -f /usr/include/apache/Makefile.modules distclean
	cd mod_conv-0.2/src; \
		$(MAKE) -f /usr/include/apache/Makefile.modules distclean
	cd xssi-1.1b3; \
		$(MAKE) -f /usr/include/apache/Makefile.modules distclean
	-rm -rf build $$(find . -name "*~") doc descr apache-fastcgi/src/*.so
	-rm -rf $$(find debian/* -type d) debian/{files* debian/*substvars*}
	chmod 755 debian/{postrm,postinst}


binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.


binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp && install -d debian/tmp
	cd debian/tmp && install -d $$(cat ../dirs)
	install -m 644 *.so *.info debian/tmp/usr/lib/apache/modules
	@#install mod_conv-0.2/src/*.so debian/tmp/usr/lib/apache/modules
	@#cp mod_conv-0.2/README debian/tmp/usr/doc/$(package)/README.mod_conv
	install -m 644 xssi-1.1b3/*.so debian/tmp/usr/lib/apache/modules
	install -m 644 apache-fastcgi/src/*.so \
		debian/tmp/usr/lib/apache/modules
	cp xssi-1.1b3/README debian/tmp/usr/doc/$(package)/README.xssil
	cp apache-fastcgi/README \
		debian/tmp/usr/doc/$(package)/README.mod_fastcgi
	#sed -e "s/http.*apache_sub.gif/\/doc\/apache\/icons\/apache_pb.gif/" \
	#	< apache-fastcgi/mod_fastcgi.html \
	#	> debian/tmp/usr/doc/$(package)/mod_fastcgi.html
	cp apache-fastcgi/mod_fastcgi.html debian/tmp/usr/doc/$(package)
	debstd -m README* xssi-1.1b3/xssi-1.1.html
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod 755 debian/tmp/usr/lib/apache/modules/*.so
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..


define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

Local variables:
mode: makefile
End:
